%{?nodejs_find_provides_and_requires}

# Tests disabled due to missing dependency on qunit
%global enable_tests 0

Name:       nodejs-moment
Version:    2.18.1
Release:    5%{?dist}
Summary:    Parse, manipulate and display dates
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/timrwood/moment
Source0:    http://registry.npmjs.org/moment/-/moment-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    scripts-%{version}.tar.bz2
Source2:    tasks-%{version}.tar.bz2
Source3:    templates-%{version}.tar.bz2
Source10:   dl-tests.sh

# Gruntfile not in npm package
Source11:   https://raw.githubusercontent.com/moment/moment/%{version}/Gruntfile.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  web-assets-devel

BuildRequires:  uglify-js
BuildRequires:  npm(es6-promise)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-clean)
BuildRequires:  npm(grunt-contrib-concat)
BuildRequires:  npm(grunt-contrib-copy)
BuildRequires:  npm(grunt-contrib-uglify)
BuildRequires:  npm(grunt-contrib-watch)
BuildRequires:  npm(load-grunt-tasks)
BuildRequires:  npm(rollup)

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-watch)
# BuildRequires:  npm(grunt-env)
BuildRequires:  npm(nodeunit)
%endif

Requires:       js-moment = 0:%{version}-%{release}


%description
%{summary}.


%package -n js-moment
Summary:    Parse, manipulate and display dates for the browser
Group:      System Environment/Libraries
Requires:   web-assets-filesystem

%description -n js-moment
Parse, manipulate and display dates for the browser.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
%setup -q -T -D -a 3 -n package

cp -p %{SOURCE11} .

# Remove executable bits.
find . -type f -exec chmod -x '{}' \;
# Remove pre-minified sources.
rm -f min/*.min.js


%build
%nodejs_symlink_deps --build
%{_bindir}/grunt transpile --force
rm -rf node_modules


%install
mkdir -p %{buildroot}%{_jsdir}/moment
cp -pr locale/ min/ moment.js \
    %{buildroot}%{_jsdir}/moment

mkdir -p %{buildroot}%{nodejs_sitelib}/moment
cp -pr package.json ender.js package.js \
    %{buildroot}%{nodejs_sitelib}/moment

for i in locale min moment.js moment.d.js; do
    ln -s %{_jsdir}/moment/${i} \
        %{buildroot}%{nodejs_sitelib}/moment/${i}
done

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/grunt test:node
%endif


%files
%doc CHANGELOG.md README.md
%license LICENSE
%{nodejs_sitelib}/moment

%files -n js-moment
%doc CHANGELOG.md README.md
%license LICENSE
%{_jsdir}/moment


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.18.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.18.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 01 2017 Jared Smith <jsmith@fedoraproject.org> - 2.18.1-3
- Fix building

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 2.18.1-1
- Update to upstream 2.18.1 release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 02 2015 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.8.3-2
- fix symlinks to /usr/share/javascript (#1178029)

* Mon Nov 03 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.8.3-1
- update to upstream release 2.8.3

* Mon Nov 03 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.6.0-4
- create js-moment subpackage (#1151813)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.6.0-2
- depend explicitly on latest version of uglifyjs

* Sun Apr 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.6.0-1
- update to upstream release 2.6.0
- use Grunt to build minified sources

* Sun Jun 02 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-1
- initial package
